
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #609

Allow adding files to other than playing playlist via D-Bus

December 31, 2015 15:47 - Daniel Bedrenko

Status: Closed Start date: December 31, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: audtool Estimated time: 0.00 hour

Target version: 3.9   
Description

Prior to v3.7 the behaviour was to enqueue files to the playlist currently selected in the interface, rather than the currently playing

playlist. The former is much better as I can manage and manipulate my playlists without having to interrupt the playback of my music.

Steps to reproduce:

1) Create "Playlist1" with 1 song. And "Playlist2" with no songs.

2) Double-click on the song of "Playlist1" so it starts playing.

3) Click on "Playlist2" tab so that this playlist is selected and visible.

4) Add any music file with `audacious -e /path/to/file.mp3`.

Result:

"file.mp3" is added to "Playlist1"

Expected result:

"file.mp3" is added to "Playlist2".

PS: Thank you for your work on the best music player on Linux. Been loving it for the past 4 years :)

History

#1 - December 31, 2015 20:27 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from Enqueuing files adds to currently playing playlist to Allow adding files to other than playing playlist via D-Bus

- Category set to core

- Affects version deleted (3.7.1)

The change was intentional, was documented in the release notes, and was made to solve #557, so not a bug.

Here's the problem.  Some commands must still apply to the playing playlist; they just don't make sense otherwise.  So where do you draw the line? 

If we make some commands apply to the playing playlist and others apply to the displayed playlist, then the behavior is inconsistent, making it difficult

to know what to expect.

For example, let's suppose we make audtool playlist-insurl apply to the displayed playlist.  Then for consistency, you would also expected audtool

playlist-delete to work the same, right?  But now you've broken the common use case of removing the currently playing song using audtool

playlist-delete `audtool playlist-position`.

Do you understand now why the change was made?

#2 - January 01, 2016 10:07 - Daniel Bedrenko
Yes, I understand why the change was made, and I agree that intuitiveness and consistency should prevail. Sorry, I didn't think of checking the full

release notes (I only checked the fixed bugs on the release post on the homepage).

But it is quite an inconvenient change in a common use case: if I'm in the process of organising my music I can't have a song playing in the

background; I must interrupt playback so that I can add tracks to other playlists. This is annoying in itself, but is also inefficient: sometimes--in the

process of organising--I want to listen to an added track to ascertain which playlist it should be added to, so in order to do this I must completely

cease any activities involving adding tracks to other playlists (as this would interrupt playback).

Also, the behaviour of changing the playlist by playing the playlist--in order to add tracks to it--is ugly, because I have to immediately pause playback

as I don't want to lose the remembered playback position in the playlist I switched to.

Is a reasonable solution to add a switch `--use-display-playlist` to `audtool` or command-line `audacious` that would make all other command

switches in this invokation to apply to the display playlist, rather than the currently playing playlist?

#3 - July 10, 2016 06:46 - John Lindgren

D B wrote:

Is a reasonable solution to add a switch `--use-display-playlist` to `audtool` or command-line `audacious` that would make all other command

switches in this invokation to apply to the display playlist, rather than the currently playing playlist?

 

Sorry for the delayed response.  Yes, that would be a reasonable solution; I just haven't had any time to think about how to implement it on the D-Bus

side.

#4 - March 25, 2017 13:14 - John Lindgren

I finally got around to implementing this; the --select-displayed switch will revert to roughly the pre-3.7 behavior:

https://github.com/audacious-media-player/audacious/commit/8310b536b44bbb06b868df6ceb7aca33d5d77536

#5 - March 25, 2017 13:16 - John Lindgren

- Category changed from core to audtool

- Status changed from New to Closed

- Target version set to 3.9

- % Done changed from 0 to 100

#6 - December 21, 2017 21:36 - Daniel Bedrenko

Great, thank you! Every day I use this great music player :)
